Loading...
Searching...
No Matches
seqan3::design_error Class Reference

Argument parser exception that is thrown whenever there is an design error directed at the developer of the application (e.g. Reuse of option). More...

`#include <seqan3/argument_parser/exceptions.hpp>`

Inheritance diagram for seqan3::design_error:
[legend]

## Public Member Functions

| design_error (std::string const &s)
| The constructor.
Public Member Functions inherited from seqan3::argument_parser_error
| argument_parser_error (std::string const &s)
| The constructor.
Public Member Functions inherited from std::runtime_error
T | runtime_error (T... args)
T | what (T... args)

## Detailed Description

Argument parser exception that is thrown whenever there is an design error directed at the developer of the application (e.g. Reuse of option).

Errors caught by the argument_parser:

- Reuse of a short or long identifier (must be unique)
- Both identifiers must not be empty (one is ok)

## Constructor & Destructor Documentation

## design_error()

seqan3::design_error::design_error | ( | std::string const & | s | ) |

inline

The constructor.

Parameters

  [in] | s | The error message.

The documentation for this class was generated from the following file:

- exceptions.hpp

Hide me